// 文件路径: I:\1_liziqian\Project\city-life-line\src\api\pipeNetwork\waterPlantInfo.js
import request from '@/utils/request'

const urlPrefix = '/api/water/plantInfo'

export function listWaterPlant(query) {
  return request({
    url: urlPrefix + '/page',
    method: 'get',
    params: query
  })
}

export function getWaterPlant(id) {
  return request({
    url: urlPrefix + '/' + id,
    method: 'get'
  })
}

export function addWaterPlant(data) {
  return request({
    url: urlPrefix,
    method: 'post',
    data: data
  })
}

export function updateWaterPlant(data) {
  return request({
    url: urlPrefix,
    method: 'put',
    data: data
  })
}

export function delWaterPlant(ids) {
  return request({
    url: urlPrefix + '/' + ids,
    method: 'delete'
  })
}

export function listRecycleWaterPlant(query) {
  return request({
    url: urlPrefix + '/recycle/list',
    method: 'get',
    params: query
  })
}

export function restoreWaterPlant(ids) {
  return request({
    url: urlPrefix + '/recycle/restore/' + ids,
    method: 'post'
  })
}

export function deletePhysicallyWaterPlant(ids) {
  return request({
    url: urlPrefix + '/recycle/delete/' + ids,
    method: 'delete'
  })
}
